<?php

require 'database.php'; // Allows us to connect to the database.

//store our query in a variable named $query
$query = "SELECT id, product_title, product_price, product_img FROM Products ORDER BY Rand() LIMIT 4";

// run the query and store the results in the $result variable.
$result = $mysqli->query($query) or die(mysqli_error($mysqli));

if ($result) {
  
  echo "<ul id='products'>"; //Open up an unordered list.
	
  while ($row = $result->fetch_object()) {
	
    $title = $row->product_title;
    $price = $row->product_price;
	$image = $row->product_img;
    $id = $row->id;

	// for each product, output a new list-item and then the products image, title and price
	echo "<li><img src='$image' alt='$title' />"; 
    echo "<h4>$title</h4>" ;
    echo "<p>&pound;$price</p></li> \n";	

    }
	
	// when the loop is complete, close off the list.
	echo "</ul> \n";
}
?>
